import QtQuick 2.0
import Ubuntu.Components 0.1

Column {
    spacing: units.gu(2)
    anchors.horizontalCenter: parent.horizontalCenter

    // define settable properties for this component
    property alias image: myImage.source
    property alias text:  myText.text
    property alias color: myText.color
    signal clicked()

    UbuntuShape {
        anchors.horizontalCenter: parent.horizontalCenter
        //width: 200 // width of our image
        width: units.gu(20) // is gu better here?
        height: width

        image : Image {
            id: myImage
            fillMode: Image.PreserveAspectFit
            opacity: 0
        }
    }
    Button {
        id: myButton
        objectName: "performEvil_button"
        anchors.horizontalCenter: parent.horizontalCenter
        text: i18n.tr("I feel lucky ;)")
        onClicked: {
            parent.clicked()
        }
    }
    Label {
        id: myText
        objectName: "filePermsTab_label"

        anchors.horizontalCenter: parent.horizontalCenter

        text: i18n.tr("Tap button to attempt access.")
        color: Theme.palette.normal.foreground
    }
}
