import QtQuick 2.0
import Ubuntu.Components 0.1
import "ui"

MainView {
    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the .desktop filename
    applicationName: "evilapp"

    /*
     This property enables the application to change orientation
     when the device is rotated. The default is false.
    */
    //automaticOrientation: true

    width: units.gu(50)
    height: units.gu(75)

    Tabs {
        anchors.margins: units.gu(5)
        id: tabs

        FilePermsTab {
            objectName: "filePermsTab"
        }

        NetworkPermsTab {
            objectName: "networkPermsTab"
        }

        TempPermsTab {
            objectName: "tempPermsTab"
        }

        // enable once DBus mediation is in the archive
        //DBusPermsTab {
        //    objectName: "dbusSystemPermsTab"
        //}

        //TemplateTab {
        //    objectName: "templateTab"
        //}
    }
}
