#ifndef MYTYPE_H
#define MYTYPE_H

#include <QObject>

class MyType : public QObject
{
    Q_OBJECT
    Q_PROPERTY( QString resultText READ resultText WRITE setText NOTIFY textChanged )
    Q_PROPERTY( QString resultTextColor READ resultTextColor WRITE setTextColor NOTIFY textColorChanged )
    Q_PROPERTY( QString resultImage READ resultImage WRITE setImage NOTIFY imageChanged )

public:
    explicit MyType(QObject *parent = 0);
    ~MyType();

    // Usually called from onCLicked() with QML
    Q_INVOKABLE bool doTemplatePermissions();
    Q_INVOKABLE bool doFilePermissions();
    Q_INVOKABLE bool doNetworkPermissions();
    Q_INVOKABLE bool doTempPermissions();
    Q_INVOKABLE bool doDBusPermissions();

Q_SIGNALS:
    void textChanged();
    void textColorChanged();
    void imageChanged();

protected:
    QString resultText();
    void setText(QString);
    QString m_text;

    QString resultTextColor();
    void setTextColor(QString);
    QString m_text_color;

    QString resultImage();
    void setImage(QString);
    QString m_image;

    void setSafe(bool, QString);

private:
    bool safe;

};

#endif // MYTYPE_H
